<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha3/dist/css/bootstrap.min.css" rel="stylesheet" crossorigin="anonymous">
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha3/dist/js/bootstrap.bundle.min.js" crossorigin="anonymous"></script>
    <title>Verification</title>
</head> 
<body>
  <nav class="navbar navbar-expand-lg navbar-light bg-light">
    <div class="container-fluid">
      <a class="navbar-brand" href="/">Ticketing System</a>
      <div class="collapse navbar-collapse" id="navbarNav">
        <ul class="navbar-nav">
          <li class="nav-item">
            <a class="nav-link" href="/events">Events</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="/verification">Verification</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="/sellATicket">Sell your ticket</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="usedTickets">Buy a used ticket</a>
          </li>
        </ul>
      </div>
    </div>
  </nav>
  <div class="container">
    <div class="row">
      <div class="col-md-6 offset-md-3 mt-5">
        <h2 class="text-center mb-4">Verification</h2>
        <form id="Verification" onsubmit="submitVerification(event)" novalidate>
          <div class="mb-3">
            <label for="firstName" class="form-label">First Name:</label>
            <input type="text" class="form-control" id="firstName" name="name">
          </div>
          <div class="mb-3">
            <label for="lastName" class="form-label">Last Name:</label>
            <input type="text" class="form-control" id="lastName" name="lastName">
          </div>
          <div class="mb-3">
            <label for="postcode" class="form-label">Postcode:</label>
            <input type="text" class="form-control" id="postcode" name="postcode">
          </div>
          <div class="mb-3">
            <label for="licenseNumber" class="form-label">License Number:</label>
            <input type="text" class="form-control" id="licenseNumber" name="licenseNumber">
          </div>
          <div class="mb-3">
            <label for="address" class="form-label">Ethereum Address:</label>
            <input type="text" class="form-control" id="address" name="address">
          </div>
          <button type="submit" class="btn btn-primary">Verify</button>
        </form>
      </div>
    </div>
  </div>
    <script>
        async function submitVerification(event) {
          event.preventDefault();
      
          const address = document.getElementById('address').value;
          const firstName = document.getElementById('firstName').value;
          const lastName = document.getElementById('lastName').value;
          const postcode = document.getElementById('postcode').value;
          const licenseNumber = document.getElementById('licenseNumber').value;
      
          const response = await fetch('/verify', {
            method: 'POST',
            headers: {
              'Content-Type': 'application/json'
            },
            body: JSON.stringify({
                address,
              firstName,
              lastName,
              postcode,
              licenseNumber
            })
          });
      
          const result = await response.json();
          console.log(result);
        }
      </script>
      
</body>
</html>